Subject: Re: Customer Service Advisor - Work From Home - Phone Support - REMMA SALAZAR applied on Indeed
From: "REMMA SALAZAR" <[email-masked]>
To: CHERRY E COMMERCE SERVICES P LTD <[email-masked]>
Date: Mon, 11 Jul 2022 02:41:36 -0500 (CDT)

Hi, I know I'm supposed to start today and was asked to submit a form however im missing some credentials. I lost my purse with ID's lastweek. I tried to get 1 government ID I can have however the earliest time I can get one is tomorrow. Im wondering if that can be a hindrance with my startdate.

Suspect spam or fraud?
Report this message to Indeed <https://www.indeed.com/feedback?contentId=%3Ccd072bb7-2816-4dfe-94fd-f39723a45173%40indeedemail.com%3E&hl=en_PH&co=PH>

By replying or using an indeedemail.com email address, you agree that messages will be processed and analyzed according to Indeed’s Cookie Policy <https://www.indeed.com/legal?hl=en&amp;co=PH#cookies>, Privacy Policy <https://www.indeed.com/legal?hl=en&amp;co=PH#privacy>, and Terms of Service <https://www.indeed.com/legal?hl=en&amp;co=PH#tos>.